import java.io.*;
import BibAgenda.*;

class TesteDeAgenda
{
    public static void main (String Args [])
    {
        BufferedReader Entrada = new BufferedReader
                                (new InputStreamReader
                                (System.in));

        String NomeArq = null;

        System.out.println ();

        System.out.print ("Nome da Agenda: ");
        try
        {
            NomeArq = Entrada.readLine ();
        }
        catch (IOException E)
        {}

        Agenda agenda = new Agenda (NomeArq);

        System.out.println ();

        String Nome = null, Telefone = null;

        char Opcao = ' ';

        do
        {
            System.out.println ();

            System.out.print ("Digite sua Opcao (" +
                              "I=Incluir/" +
                              "C=Consultar/" +
                              "L=Listar/" +
                              "E=Excluir/" +
                              "S=Sair)" +
                              ": ");

            try
            {
                Opcao = (Entrada.readLine ()).charAt (0);
            }
            catch (IOException E)
            {}

            switch (Opcao)
            {
                case 'i':
                case 'I':
                    try
                    {
                        System.out.print ("Nome....: ");
                        Nome = Entrada.readLine ();

                        System.out.print ("Telefone: ");
                        Telefone = Entrada.readLine ();
                    }
                    catch (IOException E)
                    {}

                    try
                    {
                        agenda.registreOContato (Nome, Telefone);
                    }
                    catch (ExcecaoDeAgenda E)
                    {
                        // certamente sera
                        // ExcecaoDeAgenda.NOME_JA_REGISTRADO

                        System.err.println (E.getMessage ());
                        System.err.println ();
                        break;
                    }

                    System.out.println ();
                    break;


                case 'c':
                case 'C':
                    try
                    {
                        System.out.print ("Nome....: ");
                        Nome = Entrada.readLine ();
                    }
                    catch (IOException E)
                    {}

                    try
                    {
                        Telefone = agenda.digaMeTelefoneDe (Nome);
                    }
                    catch (ExcecaoDeAgenda E)
                    {
                        System.err.println (E.getMessage ());
                        System.err.println ();
                        break;
                    }

                    System.out.println ("Telefone: " + Telefone);
                    System.out.println ();
                    break;


                case 'l':
                case 'L':
                    String Tecla;

                    for (int I = 0;; I++)
                    {
                        try
                        {
                            System.out.println ("Nome: " +
                                                agenda.digaMeNome (I) +
                                                " - Telefone: " +
                                                agenda.digaMeTelefone (I));
                        }
                        catch (ExcecaoDeAgenda E)
                        {
                            if (E.seuTipo () == ExcecaoDeAgenda.AGENDA_VAZIA)
                                System.err.println (E.getMessage ());

                            break;
                        }

                        if (I%23 == 22 && I < agenda.quantosContatos()-1)
                        {
                            System.out.println ();
                            System.out.print ("Tecle ENTER... ");

                            try
                            {
                                Tecla = Entrada.readLine ();
                            }
                            catch (IOException E)
                            {}

                            System.out.println ();
                        }
                    }

                    System.out.println ();
                    break;


                case 'e':
                case 'E':
                    System.out.print ("Nome....: ");
                    try
                    {
                        Nome = Entrada.readLine ();
                    }
                    catch (IOException E)
                    {}

                    try
                    {
                        agenda.descarteContato (Nome);
                    }
                    catch (ExcecaoDeAgenda E)
                    {
                        System.err.println (E.getMessage ());
                    }

                    System.out.println ();
                    break;


                case 's':
                case 'S':
                    break;


                default :
                    System.err.println ("Opcao invalida!");
                    System.err.println ();
            }
        }
        while ((Opcao != 's') && (Opcao != 'S'));
    } 
}