class Consumidor extends Thread
{
    private final int TpoMaxCons = 2000;

    private Fila     Deposito;
    private Semaforo MutEx, Livre, Ocupado;

    private boolean Fim = false;

    private void consuma ()
    {
        try
        {
            this.sleep ((int)(Math.random () * this.TpoMaxCons));
        }
        catch (InterruptedException E)
        {}

        Integer Produto = null;
        this.MutEx.P ();
        try
        {
            Produto = (Integer)this.Deposito.elementoDesenfileirado ();
        }
        catch (ExcecaoDeFila E)
        {}
        this.MutEx.V ();

        System.out.println ("CONSUMIDO: " + Produto);
    }

    public Consumidor (Fila     D, Semaforo M,
                       Semaforo L, Semaforo O)
    {
        this.Deposito = D;
        this.MutEx    = M;
        this.Livre    = L;
        this.Ocupado  = O;
    }

    public void Stop ()
    {
        this.Fim = true;
    }

    public void run ()
    {
        for (;!this.Fim;)
        {
            this.Ocupado.P ();
            this.consuma   ();
            this.Livre.V   ();
        }
    }
}