public class ExcecaoDeFila extends Exception 
{
    public static final int CAPACIDADE_INVALIDA = 0,
                            FILA_CHEIA          = 1,
                            FILA_VAZIA          = 2,
                            EXCECAO_INVALIDA    = 3;


    private static final int MENOR_ID = CAPACIDADE_INVALIDA,
                             MAIOR_ID = FILA_VAZIA;

    public static final String Mensagem [] =
    {
         "Capacidade deve ser um numero natural positivo",
         "Esgotou-se a capacidade da agenda",
         "Nao ha contatos registrados na agenda",
         "O nome deste contato nao consta na agenda",
         "O nome deste contato ja consta na agenda",
         "So solicite telefones entre zero e a quantidade existente",
         "So solicite nomes entre zero e a quantidade existente",
         "Indicacao de excecao invalida"
    };

    private int Tipo;

    private ExcecaoDeFila (int T)
    {
        super (ExcecaoDeFila.Mensagem [T]);
        this.Tipo = T;
    }

    public static void indique (int T) throws ExcecaoDeFila
    {
        if (T<ExcecaoDeFila.MENOR_ID || T>ExcecaoDeFila.MAIOR_ID)
            throw new ExcecaoDeFila (ExcecaoDeFila.EXCECAO_INVALIDA);

        throw new ExcecaoDeFila (T);
        
    }

    public int seuTipo ()
    {
        return this.Tipo;
    }
}