class TesteDePeC
{
    private static final int TAMANHO_DO_DEPOSITO = 15;

    private static Semaforo MutEx   = new Semaforo (1),
                            Livre   = new Semaforo (TAMANHO_DO_DEPOSITO),
                            Ocupado = new Semaforo (0);

    private static Fila       Deposito;
    private static Produtor   Prod;
    private static Consumidor Cons1, Cons2;

    public static void main (String Args [])
    {
        try
        {
            TesteDePeC.Deposito = new Fila (TAMANHO_DO_DEPOSITO);
        }
        catch (ExcecaoDeFila E)
        {}

        TesteDePeC.Prod  = new Produtor   (Deposito, MutEx,
                                           Livre,    Ocupado);

        TesteDePeC.Cons1 = new Consumidor (Deposito, MutEx,
                                           Livre,    Ocupado);

        TesteDePeC.Cons2 = new Consumidor (Deposito, MutEx,
                                           Livre,    Ocupado);

        Prod .start ();
        Cons1.start ();
        Cons2.start ();
    }
}