import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

class Janela extends    Frame
             implements WindowListener,
                        MouseListener
{
    private String   Endereco;

    private Button OK      = new Button ("OK"),
                   Cancela = new Button ("Cancela");

    private TextArea Mensagem = new TextArea ();

    public Janela (String Endereco)
    {
        this.Endereco = Endereco;

        this.setTitle ("Entre sua mensagem");
        this.setSize  (400, 200);

        BorderLayout LayoutJanela = new BorderLayout ();
        this.setLayout (LayoutJanela);

        this.add ("Center", this.Mensagem);

        Panel Botoes = new Panel ();

        GridLayout LayoutBotoes = new GridLayout (1,7);
        Botoes.setLayout (LayoutBotoes);

        Botoes.add (new Label ());
        Botoes.add (new Label ());
        Botoes.add (this.OK);
        Botoes.add (new Label ());
        Botoes.add (this.Cancela);
        Botoes.add (new Label ());
        Botoes.add (new Label ());

        this.add ("South", Botoes);

        this   .addWindowListener (this);
        OK     .addMouseListener  (this);
        Cancela.addMouseListener  (this);

        this.show ();
    }




    public void windowClosing (WindowEvent e)
    {
        System.exit (0);
    }

    public void windowOpened (WindowEvent e)
    {}

    public void windowClosed (WindowEvent e)
    {}

    public void windowActivated (WindowEvent e)
    {}

    public void windowDeactivated (WindowEvent e)
    {}

    public void windowIconified (WindowEvent e)
    {}

    public void windowDeiconified (WindowEvent e)
    {}




    private void TrataClickNoBotaoOK ()
    {
        if (!Mensagem.getText().equals(""))
        {
            try
            {
                Socket CanalDeTransmissaoDaMensagem = new Socket (Endereco, 10000);

                PrintWriter SaidaDaMensagem = new PrintWriter (
                                              CanalDeTransmissaoDaMensagem.
                                              getOutputStream());

                SaidaDaMensagem.print (Mensagem.getText());

                SaidaDaMensagem.close ();
                SaidaDaMensagem = null;

                CanalDeTransmissaoDaMensagem.close ();
                CanalDeTransmissaoDaMensagem = null;
            }
            catch (UnknownHostException E)
            {
                System.err.println ("Servidor " + Endereco + " desconhecido.");
                System.err.println ();
            }
            catch (IOException E)
            {
                System.err.println ("Impossivel criar um canal de comunicacao.");
                System.err.println ();
            }
        }

        System.exit (0);
    }

    private void TrataClickNoBotaoCancela ()
    {
        System.exit (0);
    }

    public void mouseClicked (MouseEvent e)
    {}

    public void mousePressed (MouseEvent e)
    {}

    public void mouseReleased (MouseEvent e)
    {
        if (e.getComponent() == OK)
            TrataClickNoBotaoOK ();
        else if (e.getComponent() == Cancela)
            TrataClickNoBotaoCancela ();
    }

    public void mouseEntered (MouseEvent e)
    {}

    public void mouseExited (MouseEvent e)
    {}
}

class Envio
{
    public static void main (String Args [])
    {
        if (Args.length != 1)
        {
            System.err.println ("Uso correto: java Envio IPouNOME");
            return;
        }

        Janela janela = new Janela (Args [0]);
    }
}
