import java.awt.*;
import java.applet.*;

public class ImgSom extends Applet
{
    private Image     Imagem;
    private AudioClip Som;

    public String [][] getParameterInfo ()
    {
        String [][] R = {{"Imagem", "string", "A imagem a ser mostrada"},
                         {"Som"   , "string", "O som a ser tocado"}};

        return R;
    }

    public void init ()
    {
        String NomArqImg = this.getParameter ("Imagem");
        String NomArqSom = this.getParameter ("Som");

        this.Imagem = this.getImage     (this.getDocumentBase (), NomArqImg);
        this.Som    = this.getAudioClip (this.getDocumentBase (), NomArqSom);
    }

    public void paint (Graphics G)
    {
        G.drawImage (this.Imagem, 0, 0, this);
    }

    public void start ()
    {
        this.repaint  ();
        this.Som.loop ();
    }

    public void stop ()
    {
        this.Som.stop ();
    }
}