class Fila
{
    private Object Elem [];

    private int OndeGuardar = 0,
                DeOndeTirar = 0,
                QtosElems   = 0;

    public Fila (int T) throws ExcecaoDeFila
    {
        if (T <= 0)
            ExcecaoDeFila.indique (ExcecaoDeFila.CAPACIDADE_INVALIDA);

        this.Elem = new Object [T];
    }

    public Fila () throws ExcecaoDeFila
    {
        this (25);
    }

    public int tamanho ()
    {
        return this.Elem.length;
    }

    public boolean cheia ()
    {
        return this.QtosElems == this.Elem.length;
    }

    public boolean vazia ()
    {
        return this.QtosElems == 0;
    }

    public void enfileire (Object O) throws ExcecaoDeFila
    {
        if (this.cheia ())
            ExcecaoDeFila.indique (ExcecaoDeFila.FILA_CHEIA);

        this.Elem [this.OndeGuardar] = O;

        this.OndeGuardar = (this.OndeGuardar + 1) % this.Elem.length;
        this.QtosElems++;
    }

    public Object elementoDesenfileirado () throws ExcecaoDeFila
    {
        if (this.vazia ())
            ExcecaoDeFila.indique (ExcecaoDeFila.FILA_VAZIA);

        Object R = this.Elem [this.DeOndeTirar];

        this.DeOndeTirar = (this.DeOndeTirar + 1) % this.Elem.length;
        this.QtosElems--;

        return R;
    }
}