import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

class Janela extends    Frame
             implements WindowListener,
                        MouseListener
{
    private Button   OK       = new Button ("OK");
    private TextArea Mensagem = new TextArea ();

    public Janela (String M)
    {
        this.setTitle ("Nova Mensagem");
        this.setSize  (400, 200);

        BorderLayout LayoutJanela = new BorderLayout ();
        this.setLayout (LayoutJanela);

        this.add ("Center", this.Mensagem);

        Panel Botoes = new Panel ();

        GridLayout LayoutBotoes = new GridLayout (1,5);
        Botoes.setLayout (LayoutBotoes);

        Botoes.add (new Label ());
        Botoes.add (new Label ());
        Botoes.add (this.OK);
        Botoes.add (new Label ());
        Botoes.add (new Label ());

        this.add ("South", Botoes);

        this.addWindowListener   (this);
        this.OK.addMouseListener (this);

        this.Mensagem.setText     (M);
        this.Mensagem.setEditable (false);

        this.show ();
    }




    public void windowClosing (WindowEvent e)
    {
        this.hide    ();
        this.dispose ();
    }

    public void windowOpened (WindowEvent e)
    {}

    public void windowClosed (WindowEvent e)
    {}

    public void windowActivated (WindowEvent e)
    {}

    public void windowDeactivated (WindowEvent e)
    {}

    public void windowIconified (WindowEvent e)
    {}

    public void windowDeiconified (WindowEvent e)
    {}




    public void mouseClicked (MouseEvent e)
    {}

    public void mousePressed (MouseEvent e)
    {}

    public void mouseReleased (MouseEvent e)
    {
        this.hide    ();
        this.dispose ();
    }

    public void mouseEntered (MouseEvent e)
    {}

    public void mouseExited (MouseEvent e)
    {}
}

class Recepcao
{
    public static void main (String Args [])
    {
        try
        {
            ServerSocket CanalDePedidoDeConexao = new ServerSocket (10000);

            for (;;)
            {
                Socket CanalDeRecepcaoDaMensagem =
                       CanalDePedidoDeConexao.accept ();
            
                BufferedReader EntradaDaMensagem = new BufferedReader
                                                  (new InputStreamReader
                                                  (CanalDeRecepcaoDaMensagem.
                                                   getInputStream ()));

                String TextoDaMensagem = "";

                for (;;)
                {
                     TextoDaMensagem = TextoDaMensagem +
                                       EntradaDaMensagem.readLine ();

                     if (EntradaDaMensagem.ready ())
                         TextoDaMensagem = TextoDaMensagem + '\n';
                     else
                         break;
                }

                EntradaDaMensagem.close ();
                EntradaDaMensagem = null;

                CanalDeRecepcaoDaMensagem.close ();
                CanalDeRecepcaoDaMensagem = null;

                Janela janela = new Janela (TextoDaMensagem);
            }
        }
        catch (IOException E)
        {
            System.err.println ("Impossivel criar canal de pedido de comunicacao.");
            System.err.println ();
        }
    }
}
