package ClienteSMTP;

public class ExcecaoDeSMTP extends RuntimeException 
{
    public static final int SERVIDOR_DESCONHECIDO         =  0,
                            SERVIDOR_INCOMUNICAVEL        =  1,
                            CANAL_DE_ENTRADA_INDISPONIVEL =  2,
                            CANAL_DE_SAIDA_INDISPONIVEL   =  3,
                            INSUCESSO_NA_RECEPCAO         =  4,
                            SERVIDOR_INDISPONIVEL         =  5,
                            CLIENTE_RECUSADO              =  6,
                            REMETENTE_RECUSADO            =  7,
                            DESTINATARIO_RECUSADO         =  8,
                            SERVICO_INDISPONIVEL          =  9,
                            MENSAGEM_RECUSADA             = 10,
                            INSUCESSO_NA_DESPEDIDA        = 11,
                            INSUCESSO_NA_DESCONEXAO       = 12,
                            EXCECAO_INVALIDA              = 13;


    private static final int MENOR_ID = SERVIDOR_DESCONHECIDO,
                             MAIOR_ID = INSUCESSO_NA_DESCONEXAO;

    private static final String Mensagem [] =
    {
         "Servidor desconhecido",
         "Servidor incomunicavel",
         "Canal de entrada indisponivel",
         "Canal de saida indisponivel",
         "Insucesso na recepcao",
         "Servidor indisponivel",
         "Cliente recusado",
         "Remetente recusado",
         "Destinatario recusado",
         "Servico indisponivel",
         "Mensagem recusada",
         "Insucesso na despedida",
         "Insucesso na desconexao",
         "Indicacao de excecao invalida"
    };

    private int Tipo;

    private ExcecaoDeSMTP (int T)
    {
        super (ExcecaoDeSMTP.Mensagem [T]);        
        this.Tipo = T;
    }

    public static void indique (int T) throws ExcecaoDeSMTP
    {
        if (T<ExcecaoDeSMTP.MENOR_ID || T>ExcecaoDeSMTP.MAIOR_ID)
            throw new ExcecaoDeSMTP (ExcecaoDeSMTP.EXCECAO_INVALIDA);

        throw new ExcecaoDeSMTP (T);        
    }

    public int seuTipo ()
    {
        return this.Tipo;
    }
}