import java.awt.*;
import java.awt.event.*;
import ClienteSMTP.*;

class Janela extends    Frame
             implements WindowListener,
                        MouseListener
{
    private Button OK      = new Button ("OK"),
                   Cancela = new Button ("Cancela");

    private TextField NomeDoServidor       = new TextField (),
                      NomeDoRemetente      = new TextField (),
                      E_mailDoRemetente    = new TextField (),
                      NomeDoDestinatario   = new TextField (),
                      E_mailDoDestinatario = new TextField (),
                      TextoDoAssunto       = new TextField ();

    private TextArea TextoDaMensagem = new TextArea ();

    public Janela ()
    {
        this.setTitle ("Correio Eletrnico");
        this.setSize  (800, 600);

        Panel Servidor = new Panel ();
        GridLayout LayoutServidor = new GridLayout (2,1);
        Servidor.setLayout (LayoutServidor);

        Servidor.add (new Label ("Servidor SMTP:"));
        Servidor.add (this.NomeDoServidor);

        Panel Remetente = new Panel ();
        GridLayout LayoutRemetente = new GridLayout (2,2);
        Remetente.setLayout (LayoutRemetente);

        Remetente.add (new Label ("Nome do Remetente:"));
        Remetente.add (new Label ("E-mail do Remetente:"));
        Remetente.add (this.NomeDoRemetente);
        Remetente.add (this.E_mailDoRemetente);

        Panel Destinatario = new Panel ();
        GridLayout LayoutDestinatario = new GridLayout (2,2);
        Destinatario.setLayout (LayoutDestinatario);

        Destinatario.add (new Label ("Nome do Destinatario:"));
        Destinatario.add (new Label ("E-mail do Destinatario:"));
        Destinatario.add (this.NomeDoDestinatario);
        Destinatario.add (this.E_mailDoDestinatario);

        Panel Assunto = new Panel ();
        GridLayout LayoutAssunto = new GridLayout (2,1);
        Assunto.setLayout (LayoutAssunto);

        Assunto.add (new Label ("Assunto:"));
        Assunto.add (this.TextoDoAssunto);

        Panel Infos = new Panel ();
        GridLayout LayoutInfos = new GridLayout (5,1);
        Infos.setLayout (LayoutInfos);

        Infos.add (Servidor);
        Infos.add (Remetente);
        Infos.add (Destinatario);
        Infos.add (Assunto);
        Infos.add (new Label ("Texto da Mensagem:"));

        BorderLayout LayoutJanela = new BorderLayout ();
        this.setLayout (LayoutJanela);

        this.add ("North", Infos);

        this.add ("Center", this.TextoDaMensagem);

        Panel Botoes = new Panel ();

        GridLayout LayoutBotoes = new GridLayout (1,7);
        Botoes.setLayout (LayoutBotoes);

        Botoes.add (new Label ());
        Botoes.add (new Label ());
        Botoes.add (this.OK);
        Botoes.add (new Label ());
        Botoes.add (this.Cancela);
        Botoes.add (new Label ());
        Botoes.add (new Label ());

        this.add ("South", Botoes);

        this        .addWindowListener (this);
        this.OK     .addMouseListener  (this);
        this.Cancela.addMouseListener  (this);

        this.show ();
    }




    public void windowClosing (WindowEvent e)
    {
        System.exit (0);
    }

    public void windowOpened (WindowEvent e)
    {}

    public void windowClosed (WindowEvent e)
    {}

    public void windowActivated (WindowEvent e)
    {}

    public void windowDeactivated (WindowEvent e)
    {}

    public void windowIconified (WindowEvent e)
    {}

    public void windowDeiconified (WindowEvent e)
    {}




    private void TrataClickNoBotaoOK ()
    {
        if (!this.TextoDaMensagem.getText().equals(""))
        {
            ClienteSMTP CliSMTP = new ClienteSMTP (NomeDoServidor.getText(), 25);

            CliSMTP.EnvieMensagem (this.NomeDoRemetente     .getText(),
                                   this.E_mailDoRemetente   .getText(),
                                   this.NomeDoDestinatario  .getText(),
                                   this.E_mailDoDestinatario.getText(),
                                   this.TextoDoAssunto      .getText(),
                                   this.TextoDaMensagem     .getText());
        }

        System.exit (0);
    }

    private void TrataClickNoBotaoCancela ()
    {
        System.exit (0);
    }

    public void mouseReleased (MouseEvent e)
    {}

    public void mousePressed (MouseEvent e)
    {}

    public void mouseClicked (MouseEvent e)
    {
        if (e.getComponent() == this.OK)
            this.TrataClickNoBotaoOK ();
        else if (e.getComponent() == this.Cancela)
            this.TrataClickNoBotaoCancela ();
    }

    public void mouseEntered (MouseEvent e)
    {}

    public void mouseExited (MouseEvent e)
    {}
}

class E_mail
{
    public static void main (String Args [])
    {
        Janela janela = new Janela ();
    }
}
